Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrForeground Class Reference

A PangoAttrForeground C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrForeground:

List of all members.

## Public Member Functions

Constructors

- AttrForeground (unsigned short red, unsigned short green, unsigned short blue)
    Construct a new foreground color attribute.

## Detailed Description

A PangoAttrForeground C++ wrapper class.

AttrForeground wraps the foreground color attribute (ATTR_FOREGROUND).

## Constructor & Destructor Documentation

Inti::Pango::AttrForeground::AttrForeground | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue
| ) |

Construct a new foreground color attribute.

Parameters:

  red | The red value (ranging from 0 to 65535).
  green | The green value.
  blue | The blue value.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer